"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonCloseAttendance = exports.Block = exports.Text = exports.TitleAttendance = exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Container = styled_components_1.default.div `
    grid-column-start: 1;
    grid-column-end: 1;
    position: relative;
    height: 100%;
    width: 16rem;
    background: #464C57;
    box-sizing: border-box;

    &:after {
        content: '';
        position: absolute;
        width: 100%;
        display: block;
        background: #A9ABAF;
        height: .5rem;
        bottom: 0;
    }

    & {
        @media screen and (max-width: 860px) {
            width: 100%;
        }

        @media screen and (max-width: 599px) {
            position: absolute;
            transition: all .12s linear;
            transform: translateX(-300%);
        }
    }
`;
exports.Container = Container;
const TitleAttendance = styled_components_1.default.h2 `
    font-size: 16px;
    font-weight: 400;
    line-height: 19px;
    color: #FFFFFF;

    & {
        @media (min-width: 680px) and (max-width: 1024px) {
            width: 100%;
        }

        @media (min-width: 600px) and (max-width: 679px) {
            font-size: 14px;
        }
    }
`;
exports.TitleAttendance = TitleAttendance;
const Text = styled_components_1.default.p `
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 14px;
    color: #CBCBCB;

    & {
        @media (min-width: 600px) and (max-width: 679px) {
            font-size: 11px;
            line-height: 10px;
        }
    }
`;
exports.Text = Text;
const Block = styled_components_1.default.div `
    width: 80%;
    height: 100%;
    padding: 1rem 0 1rem 1.8rem;
    display: flex;
    flex-direction: column;

    svg {
        color: #fff;
        opacity: 80%;
        width: 1.125rem;
        height: 1.125rem;
    }
`;
exports.Block = Block;
const ButtonCloseAttendance = styled_components_1.default.button `
    position: absolute;
    transition: all 0.5s ease-out;
    right: 1rem;
    top: 1rem;
    display: block;
    margin: 0;
    padding: 0;
    outline: none;
    border: none;
    box-sizing: border-box;
    background: transparent;
    cursor: pointer;
`;
exports.ButtonCloseAttendance = ButtonCloseAttendance;
//# sourceMappingURL=styles.js.map